/*
 * $Header$
 * $Revision: 1213 $
 * $Date: 2006-10-11 23:57:12 +0200 (Wed, 11 Oct 2006) $
 *
 * ====================================================================
 *
 * Copyright 2006 Elliotte Rusty Harold
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 *   * Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 
 *   * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *   * Neither the name of the Jaxen Project nor the names of its
 *     contributors may be used to endorse or promote products derived 
 *     from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * ====================================================================
 * This software consists of voluntary contributions made by many 
 * individuals on behalf of the Jaxen Project and was originally 
 * created by bob mcwhirter <bob@werken.com> and 
 * James Strachan <jstrachan@apache.org>.  For more information on the 
 * Jaxen Project, please see <http://www.jaxen.org/>.
 * 
 * $Id: IterableAxisTest.java 1213 2006-10-11 21:57:12Z elharo $
 */

package org.jaxen.test;

import junit.framework.TestCase;

import org.jaxen.JaxenException;
import org.jaxen.expr.iter.IterableAxis;
import org.jaxen.expr.iter.IterableSelfAxis;
import org.xml.sax.SAXException;

/**
 * @author Elliotte Rusty Harold
 * @version 1.1b12
 * 
 */
public class IterableAxisTest extends TestCase {

    public void testIterableSelfNamedAxis() 
      throws JaxenException, SAXException {
        
        IterableAxis axis = new IterableSelfAxis(0);
        try {
            axis.namedAccessIterator(null, null, "name", "pre", "http://www.example.org/");
            fail("should not support operation");
        }
        catch (UnsupportedOperationException ex) {
            assertEquals("Named access unsupported", ex.getMessage());
        }
         
    }    

}
